Bug 1289258 - core: use syscall wrappers instead of making direct syscalls; pread, pwrite
core: use syscall wrappers instead of making direct syscalls; pread, pwrite
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kaleb KEITHLEY
: Reopened, Triaged
Depends On: 1267967
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 13:40 EST by Kaleb KEITHLEY
Modified: 2016-06-16 09:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1267967
Environment:
Last Closed: 2016-06-16 09:49:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaleb KEITHLEY 2015-12-07 13:40:15 EST
+++ This bug was initially created as a clone of Bug #1267967 +++

Description of problem:

various xlators and other components are invoking system calls directly instead of using the libglusterfs/syscall.[ch] wrappers

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results

If not using the system call wrappers there should be a comment in the source as to why the wrapper isn't used.


Additional info:

--- Additional comment from Vijay Bellur on 2015-10-15 10:04:54 EDT ---

REVIEW: http://review.gluster.org/12365 (core: use syscall wrappers instead of direct syscalls -- glusterd 1/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-15 10:07:07 EDT ---

REVIEW: http://review.gluster.org/12366 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-15 10:15:45 EDT ---

REVIEW: http://review.gluster.org/12276 (core: use syscall wrappers instead of direct syscalls - miscellaneous) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-16 09:16:27 EDT ---

REVIEW: http://review.gluster.org/12372 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/2+1/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-16 09:19:02 EDT ---

REVIEW: http://review.gluster.org/12373 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/2+2/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-16 13:31:53 EDT ---

REVIEW: http://review.gluster.org/12377 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/2+2/2+1/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-16 13:32:59 EDT ---

REVIEW: http://review.gluster.org/12378 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/2+2/2+2/2) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-16 13:54:50 EDT ---

REVIEW: http://review.gluster.org/12379 (core: use syscall wrappers instead of direct syscalls -- glusterd 1/x) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-19 08:08:16 EDT ---

REVIEW: http://review.gluster.org/12379 (core: use syscall wrappers instead of direct syscalls -- glusterd 1/x) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-19 08:17:11 EDT ---

REVIEW: http://review.gluster.org/12389 (core: use syscall wrappers instead of direct syscalls -- glusterd 2/x) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-20 08:49:03 EDT ---

REVIEW: http://review.gluster.org/12379 (core: use syscall wrappers instead of direct syscalls -- glusterd 1/x) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 07:22:10 EDT ---

REVIEW: http://review.gluster.org/12379 (core: use syscall wrappers instead of direct syscalls -- glusterd) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 12:02:40 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls -- test) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 12:11:25 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls -- test) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 12:27:42 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 14:29:15 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 14:37:58 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#5) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 14:45:16 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#6) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 14:50:39 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#7) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 14:55:15 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#8) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 15:00:54 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#9) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 15:12:14 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#10) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 15:19:59 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#11) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 15:25:37 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#12) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 15:34:40 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#13) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 15:41:55 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#14) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 15:49:35 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#15) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-21 16:13:17 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#16) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-22 08:14:43 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#17) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-22 08:31:12 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#18) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-22 09:29:33 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#19) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-22 09:50:55 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#20) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-22 09:58:04 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#21) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-22 10:05:30 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#22) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-22 10:11:57 EDT ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#23) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-27 08:51:04 EDT ---

REVIEW: http://review.gluster.org/12276 (core: use syscall wrappers instead of direct syscalls - miscellaneous) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-27 08:54:43 EDT ---

REVIEW: http://review.gluster.org/12273 (core: use syscall wrappers instead of direct syscalls) posted (#2) for review on master by Venky Shankar (vshankar@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-28 09:55:08 EDT ---

COMMIT: http://review.gluster.org/12379 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 063d4ead61ee47433793de81a1c77e0ba69e6e07
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Fri Oct 16 13:52:28 2015 -0400

    core: use syscall wrappers instead of direct syscalls -- glusterd
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: I28bf2a5f7730b35914e7ab57fed91e1966b30073
    BUG: 1267967
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12379
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

--- Additional comment from Vijay Bellur on 2015-10-28 10:12:14 EDT ---

REVIEW: http://review.gluster.org/12273 (core: use syscall wrappers instead of direct syscalls) posted (#3) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-28 10:14:32 EDT ---

REVIEW: http://review.gluster.org/12276 (core: use syscall wrappers instead of direct syscalls - miscellaneous) posted (#4) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-10-28 16:38:46 EDT ---

COMMIT: http://review.gluster.org/12276 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 3066a21caafab6305527991de11c8eb43ec0044c
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Oct 1 16:31:19 2015 -0400

    core: use syscall wrappers instead of direct syscalls - miscellaneous
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: I1f47820534c890a00b452fa61f7438eb2b3f667c
    BUG: 1267967
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12276
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

--- Additional comment from Vijay Bellur on 2015-10-28 19:34:58 EDT ---

COMMIT: http://review.gluster.org/12273 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 36ea43b93b8476595ac22da031bc42a807ccc852
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Oct 1 16:16:52 2015 -0400

    core: use syscall wrappers instead of direct syscalls
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: I8ef94c48728666465abf126c778b70c9e5c00e47
    BUG: 1267967
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12273
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

--- Additional comment from Vijay Bellur on 2015-11-16 09:18:16 EST ---

COMMIT: http://review.gluster.org/12275 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 2099cc875a4d20ab1bb12b1c33da16c95968e202
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Thu Oct 1 16:28:58 2015 -0400

    core: use syscall wrappers instead of direct syscalls - libglusterfs
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: Ieeca2d36adbc884e4cfa0026dba40df70310d40b
    BUG: 1267967
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12275
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

--- Additional comment from Vijay Bellur on 2015-11-16 09:36:14 EST ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - test) posted (#24) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 10:56:56 EST ---

REVIEW: http://review.gluster.org/12589 (core: use syscall wrappers instead of direct syscalls - tail) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 10:58:50 EST ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#25) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 18:20:31 EST ---

COMMIT: http://review.gluster.org/12589 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 1d0a0d180b34961ce03352283c5cb1f0c1561d88
Author: Kaleb S KEITHLEY <kkeithle@redhat.com>
Date:   Mon Nov 16 10:54:01 2015 -0500

    core: use syscall wrappers instead of direct syscalls - tail
    
    tail, as in dog chasing its tail. These are the unwrapped
    syscalls that have crept in (or were missed) in the previous
    patches.
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: If183487de92fc7cbc47d4c5aa3f3e80eae50b84f
    BUG: 1267967
    Signed-off-by: Kaleb S KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12589
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>

--- Additional comment from Vijay Bellur on 2015-11-16 18:20:34 EST ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#26) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 18:42:47 EST ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#27) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 18:52:27 EST ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#28) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 19:00:25 EST ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#29) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 19:10:10 EST ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#30) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 19:17:10 EST ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#31) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 19:22:20 EST ---

REVIEW: http://review.gluster.org/12590 (core: use syscall wrappers instead of direct syscalls - tail(2)) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-16 22:15:31 EST ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#32) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-17 03:43:06 EST ---

COMMIT: http://review.gluster.org/12590 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 9f2a81c4796c61c42660ff3407ca12ec4f137593
Author: Kaleb S KEITHLEY <kkeithle@redhat.com>
Date:   Mon Nov 16 19:20:22 2015 -0500

    core: use syscall wrappers instead of direct syscalls - tail(2)
    
    tail, as in dog chasing its tail. These are the unwrapped
    syscalls that have crept in (or were missed) in the previous
    patches.
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: I6015f97109c4250a5a049496a214d19835e4ae19
    BUG: 1267967
    Signed-off-by: Kaleb S KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12590
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

--- Additional comment from Vijay Bellur on 2015-11-17 03:43:54 EST ---

REVIEW: http://review.gluster.org/12410 (core: use syscall wrappers instead of direct syscalls - regression test) posted (#33) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)

--- Additional comment from Vijay Bellur on 2015-11-17 09:30:39 EST ---

COMMIT: http://review.gluster.org/12410 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit 052bdb5899bb723b6d375c66ab2ceab028adab06
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Wed Oct 21 12:00:03 2015 -0400

    core: use syscall wrappers instead of direct syscalls - regression test
    
    various xlators and other components are invoking system calls
    directly instead of using the libglusterfs/syscall.[ch] wrappers.
    
    If not using the system call wrappers there should be a comment
    in the source explaining why the wrapper isn't used.
    
    Change-Id: Id2207deb81a75e1af6f34bf857e74725f8bb532f
    BUG: 1267967
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12410
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
Comment 1 Vijay Bellur 2015-12-07 13:43:25 EST
REVIEW: http://review.gluster.org/12895 (core: add preadv, pwritev, pread, pwrite syscall wrappers) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 2 Vijay Bellur 2015-12-22 12:11:33 EST
COMMIT: http://review.gluster.org/12895 committed in master by Niels de Vos (ndevos@redhat.com) 
------
commit 76f1680a2de05420934e131f934f3895fbe50db8
Author: Kaleb S KEITHLEY <kkeithle@redhat.com>
Date:   Mon Dec 7 10:22:05 2015 -0500

    core: add preadv, pwritev, pread, pwrite syscall wrappers
    
    add additional system calls plus pick up a couple missed unwrapped
    system calls that seem to have slipped into the master branch.
    
    Change-Id: If268ccd5e9a139ac3ffd38293c67cd2f62ea5b58
    BUG: 1289258
    Signed-off-by: Kaleb S KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/12895
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
Comment 3 Niels de Vos 2016-06-16 09:49:19 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.